# $Revision:$, $Date:$
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Rose
%define	pnam	DateTime
Summary:	Rose::DateTime - DateTime helper functions and objects.
#Summary(pl):	
Name:		perl-Rose-DateTime
Version:	0.532
Release:	0.1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JS/JSIRACUSA/Rose-DateTime-0.532.tar.gz
# Source0-md5:	4b22b9178c28f267a4907b365ecfc35d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(DateTime)
BuildRequires:	perl(Rose::Object) >= 0.82
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Rose::DateTime::* modules provide a few convenience functions and objects for use with DateTime dates.

Rose::DateTime::Util contains a simple date parser and a slightly customized date formatter.

Rose::DateTime::Parser encapsulates a date parser with an associated default time zone.

This module (Rose::DateTime) exists mostly to provide a version number for CPAN.  See the individual modules for some actual documentation.



# %description -l pl
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Rose/*.pm
%{perl_vendorlib}/Rose/DateTime
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log:$
